Bug 137747 - [patch] Upgrade mail/mailscanner to 4.78.9
Summary: [patch] Upgrade mail/mailscanner to 4.78.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-13 21:20 UTC by Mike Jakubik
Modified: 2009-09-16 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.36 KB, patch)
2009-08-13 21:20 UTC, Mike Jakubik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Jakubik 2009-08-13 21:20:01 UTC
This patch updates mailscanner to the latest version.
Comment 1 Edwin Groothuis freebsd_committer 2009-08-13 21:20:10 UTC
Maintainer of mail/mailscanner,

Please note that PR ports/137747 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137747

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-13 21:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2009-08-16 09:39:54 UTC
State Changed
From-To: feedback->open

Maintainer was reset.
Comment 4 mike.jakubik 2009-08-17 15:48:21 UTC
Updated patch.

- Removed the dependency on perl 5.10 as it seems to work for some 
people on perl 5.9
- Added a note for the people that do have problems with 5.9.


---
diff -urN mailscanner.orig/Makefile mailscanner/Makefile
--- mailscanner.orig/Makefile   2009-04-30 09:34:40.000000000 -0400
+++ mailscanner/Makefile        2009-08-17 10:41:28.000000000 -0400
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      MailScanner
-PORTVERSION=   4.75.11
+PORTVERSION=   4.78.9
 CATEGORIES=    mail
 MASTER_SITES=  http://www.mailscanner.info/files/4/tar/
 DISTNAME=      ${PORTNAME}-install-${PORTVERSION}-${PATCHLEVEL}
@@ -106,6 +106,7 @@
 
 DOC_FILES=     INSTALL.FreeBSD INSTALL.OpenBSD README
 ETC_FILES=     MailScanner.conf filename.rules.conf \
+               archives.filename.rules.conf archives.filetype.rules.conf \
                filetype.rules.conf spam.assassin.prefs.conf \
                spam.lists.conf virus.scanners.conf \
                phishing.safe.sites.conf \
@@ -164,6 +165,10 @@
        ${PERL} -pi -e \
                's,/bin/bash,${LOCALBASE}/bin/bash,g; \
                s,/opt/MailScanner/etc,${PREFIX}/etc/MailScanner,g;' \
+               ${WRKSRC}/bin/update_bad_phishing_emails
+       ${PERL} -pi -e \
+               's,/bin/bash,${LOCALBASE}/bin/bash,g; \
+               s,/opt/MailScanner/etc,${PREFIX}/etc/MailScanner,g;' \
                ${WRKSRC}/bin/update_phishing_sites
        ${PERL} -pi -e \
                's,/bin/bash,${LOCALBASE}/bin/bash,g; \
@@ -241,6 +246,8 @@
                ${PREFIX}/libexec/MailScanner/clean.quarantine
        ${INSTALL_SCRIPT} ${WRKSRC}/bin/mailscanner_create_locks \
                ${PREFIX}/libexec/MailScanner/mailscanner_create_locks
+       ${INSTALL_SCRIPT} ${WRKSRC}/bin/update_bad_phishing_emails \
+               ${PREFIX}/libexec/MailScanner/update_bad_phishing_emails
        ${INSTALL_SCRIPT} ${WRKSRC}/bin/update_phishing_sites \
                ${PREFIX}/libexec/MailScanner/update_phishing_sites
        ${INSTALL_SCRIPT} ${WRKSRC}/bin/update_bad_phishing_sites \
diff -urN mailscanner.orig/distinfo mailscanner/distinfo
--- mailscanner.orig/distinfo   2009-04-30 09:34:40.000000000 -0400
+++ mailscanner/distinfo        2009-08-13 15:24:35.000000000 -0400
@@ -1,3 +1,3 @@
-MD5 (MailScanner-install-4.75.11-1.tar.gz) = 
d380ffefc721980cf6753e2e8a9b0575
-SHA256 (MailScanner-install-4.75.11-1.tar.gz) = 
18c79d1170d68091bc82e48037440dd9db7881ad93dfb7643d588166257816f2
-SIZE (MailScanner-install-4.75.11-1.tar.gz) = 8429830
+MD5 (MailScanner-install-4.78.9-1.tar.gz) = 
264b1b7cbb37117aced6f450d48a03d7
+SHA256 (MailScanner-install-4.78.9-1.tar.gz) = 
c389948605544d418c1a022d4a179430464840e5597ef13a4c11d1c7819ea0db
+SIZE (MailScanner-install-4.78.9-1.tar.gz) = 9111014
diff -urN mailscanner.orig/files/pkg-message.in 
mailscanner/files/pkg-message.in
--- mailscanner.orig/files/pkg-message.in       2006-02-16 
11:34:56.000000000 -0500
+++ mailscanner/files/pkg-message.in    2009-08-17 10:41:13.000000000 -0400
@@ -41,4 +41,13 @@
        Please also always look at the port changelog at
        %%PREFIX%%/share/doc/MailScanner/CHANGES.port
 
+       ************************************************************
+       Some users have reported problems with this port and a
+       previously upgraded port of perl (5.8.8 > 5.8.9). Please
+       ensure you are taking the correct steps when upgrading perl
+       as described in /usr/ports/UPDATING. If you are still
+       having problems, many people have had success by upgrading
+       to perl 5.10 instead.
+       ************************************************************
+
 *************************************************************************
diff -urN mailscanner.orig/pkg-plist mailscanner/pkg-plist
--- mailscanner.orig/pkg-plist  2009-04-30 09:34:40.000000000 -0400
+++ mailscanner/pkg-plist       2009-08-11 13:57:51.000000000 -0400
@@ -1,4 +1,6 @@
 @comment $FreeBSD: ports/mail/mailscanner/pkg-plist,v 1.39 2009/04/30 
13:34:40 pav Exp $
+etc/MailScanner/archives.filename.rules.conf.sample
+etc/MailScanner/archives.filetype.rules.conf.sample
 etc/MailScanner/country.domains.conf.sample
 etc/MailScanner/MailScanner.conf.sample
 etc/MailScanner/filename.rules.conf.sample
@@ -32,7 +34,9 @@
 lib/MailScanner/MailScanner/CustomFunctions/Ruleset-from-Function.pm
 lib/MailScanner/MailScanner/Exim.pm
 lib/MailScanner/MailScanner/EximDiskStore.pm
+lib/MailScanner/MailScanner/FileInto.pm
 lib/MailScanner/MailScanner/GenericSpam.pm
+lib/MailScanner/MailScanner/LinksDump.pm
 lib/MailScanner/MailScanner/Lock.pm
 lib/MailScanner/MailScanner/Log.pm
 lib/MailScanner/MailScanner/MCP.pm
@@ -55,6 +59,7 @@
 lib/MailScanner/MailScanner/SweepViruses.pm
 lib/MailScanner/MailScanner/SystemDefs.pm
 lib/MailScanner/MailScanner/TNEF.pm
+lib/MailScanner/MailScanner/Unzip.pm
 lib/MailScanner/MailScanner/WorkArea.pm
 lib/MailScanner/MailScanner/ZMDiskStore.pm
 lib/MailScanner/MailScanner/ZMailer.pm
@@ -62,6 +67,7 @@
 libexec/MailScanner/clean.SA.cache
 libexec/MailScanner/clean.quarantine
 libexec/MailScanner/mailscanner_create_locks
+libexec/MailScanner/update_bad_phishing_emails
 libexec/MailScanner/update_phishing_sites
 libexec/MailScanner/update_bad_phishing_sites
 libexec/MailScanner/update_bad_phishing_sites.cron
Comment 5 Kevin Kobb 2009-08-28 13:45:37 UTC
Just a heads up, the 4.78.9 Beta version has been updated at least a couple
of times and the latest right now is 4.78.14-1.
Comment 6 Mike Jakubik 2009-08-28 15:38:54 UTC
On Fri, August 28, 2009 8:45 am, Kevin Kobb wrote:
> Just a heads up, the 4.78.9 Beta version has been updated at least a
> couple
> of times and the latest right now is 4.78.14-1.
>

Yes, the updates are very frequent now, so I'm waiting for a stable
release to update the port.
Comment 7 Pav Lucistnik freebsd_committer 2009-09-16 15:28:22 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2009-09-16 16:00:46 UTC
pav         2009-09-16 15:00:32 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailscanner     Makefile distinfo pkg-plist 
    mail/mailscanner/files pkg-message.in 
  Log:
  - Update to 4.78.9
  
  PR:             ports/137747
  Submitted by:   Mike Jakubik <mikej@rogers.com>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.76      +8 -1      ports/mail/mailscanner/Makefile
  1.50      +3 -3      ports/mail/mailscanner/distinfo
  1.3       +9 -0      ports/mail/mailscanner/files/pkg-message.in
  1.40      +7 -1      ports/mail/mailscanner/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"